damingming0073 发表于 2014-8-11 20:12:55

生成椭圆时出错

在生成椭圆时,出现了一下错误:

>e:\objecarx2010mulu\createentitys\createentitys\acrxentrypoint.cpp(76) : error C2665: “CCreateEnt::CreateEllipse”: 2 个重载中没有一个可以转换所有参数类型
1>e:\objecarx2010mulu\createentitys\createentitys\createent.h(15): 可能是“AcDbObjectId CCreateEnt::CreateEllipse(const AcGePointEnt3d,AcGeVector3d,AcGeVector3d,double)”
1>试图匹配参数列表“(const AcGePoint3d, AcGeVector3d, AcGeVector3d, double)”时
1>CreateEnt.cpp
1>e:\objecarx2010mulu\createentitys\createentitys\createent.cpp(42) : error C2143: 语法错误 : 缺少“)”(在“const”的前面)
1>e:\objecarx2010mulu\createentitys\createentitys\createent.cpp(42) : error C2661: “CCreateEnt::CreateEllipse”: 没有重载函数接受 0 个参数
1>e:\objecarx2010mulu\createentitys\createentitys\createent.cpp(42) : error C2059: 语法错误 : “)”


实现代码:
                   AcGeVector3d vecNormal(0,0,1);
                AcGeVector3d majorAxis(40,0,0);
                AcDbObjectId entId;
                entId = CCreateEnt::CreateEllipse( AcGePoint3d::kOrigin,vecNormal,majorAxis,0.5);
                //外接矩形
                AcGePoint2d pt1(60,80),pt2(140,120);
                CCreateEnt::CreateEllipse(pt1,pt2);

cdinten 发表于 2015-9-28 15:48:18

1>e:\objecarx2010mulu\createentitys\createentitys\createent.h(15): 可能是“AcDbObjectId CCreateEnt::CreateEllipse(const AcGePointEnt3d,AcGeVector3d,AcGeVector3d,double)”
1>试图匹配参数列表“(const AcGePoint3d, AcGeVector3d, AcGeVector3d, double)”时
这两个怎么不一样?
另外,你的代码中可能还有格式错误。
页: [1]
查看完整版本: 生成椭圆时出错